use constant SIF_MIN_SAMPLES => (2048);
use constant SIF_OVERRANGE => (4.25/4.50);
use constant SIF_UNDEFINED => (0);
use constant SIF_HDR_CHANNELLIST => (0);
use constant SIF_HDR_KEYWORD => (1);
use constant SIF_DATAMODE_TIMHIS => "TIMHIS";
use constant SIF_DATAMODE_BRSHIS => "BRSHIS";
use constant SIF_DATAMODE_PEKVAL => "PEKVAL";
use constant SIF_DATAMODE_PVSLICE => "PVSLICE";
use constant SIF_DATAMODE_PVMATR => "PVMATR";
use constant SIF_DATAMODE_RANFLW => "RANFLW";
use constant SIF_DATAMODE_TIMLEV_1D => "TIMLEV 1D";
use constant SIF_DATAMODE_TIMLEV_MD => "TIMLEV_MD";
use constant SIF_DATAMODE_EVENTSLICE => "EVENTSLICE";
use constant SIF_DATAMODE_MESSAGE => "MESSAGE";
use constant SIF_DATAMODE_OLD_TIMLEV => "TIMLEV";
use constant SIF_KEYWORD_THISTORY => (1);
use constant SIF_KEYWORD_BURST => (2);
use constant SIF_KEYWORD_SEQPV => (3);
use constant SIF_KEYWORD_RAINFLOW => (4);
use constant SIF_KEYWORD_PVMATRIX => (5);
use constant SIF_KEYWORD_TAL => (6);
use constant SIF_KEYWORD_THISTORY_RDA => (101);
use constant SIF_KEYWORD_BURST_RDA => (102);
use constant SIF_KEYWORD_SEQPV_RDA => (103);
use constant SIF_KEYWORD_RAINFLOW_RDA => (104);
use constant SIF_KEYWORD_PVMATRIX_RDA => (105);
use constant SIF_KEYWORD_TAL_RDA => (106);
use constant SIF_KEYWORD_MESSAGE_RDA => (150);
use constant SIF_KEYWORD_THISTORY_RMFDA => (201);
use constant SIF_KEYWORD_BURST_RMFDA => (202);
use constant SIF_KEYWORD_SEQPV_RMFDA => (203);
use constant SIF_TOKEN_HEADER_RECORD => (1);
use constant SIF_TOKEN_CHANNEL_LIST => (2);
use constant SIF_TOKEN_CHANNEL_DEF => (3);
use constant SIF_TOKEN_DATA_RECORD => (4);
use constant SIF_TOKEN_BIN_DEF => (5);
use constant SIF_TOKEN_KEYWORD_GLOBAL => (7);
use constant SIF_TOKEN_KEYWORD_LOCAL => (8);
use constant SIF_TOKEN_STACK_RECORD => (9);
use constant SIF_TOKEN_HIDDEN_RECORD => (0xFFFF);
use constant SIF_PTR_CHANNEL_LIST => (0)   ;
use constant SIF_PTR_KEYWORD_GLOBAL => (3);
use constant SIF_PTR_RAMDISK_REMOTE => (7);
use constant SIF_PTR_CHANNEL_DEF => (0);
use constant SIF_PTR_DATA_RECORD => (1);
use constant SIF_PTR_KEYWORD_LOCAL => (2);
use constant SIF_PTR_DATA_RECORD_EOF => (3);
use constant SIF_PTR_TIME_CHANNEL => (4);
use constant SIF_PTR_STACK_RECORD => (5);
use constant SIF_EQUALBINS => (1);
use constant SIF_UNEQUALBINS => (2);
use constant SIF_VALID_GLOBAL_MINMAX => (1);
use constant SIF_VALID_POWERFAIL => (2);
use constant SIF_VALID_ERROR => (4);
use constant SIF_VALID_USER_MINMAX => (8);
use constant SIF_VALID_ACCUM_RUNS => (16);
use constant SIF_VALID_LOCAL_MINMAX => (1);
use constant SIF_VALID_MATRIX_TOFROM => (2);
use constant SIF_VALID_RAINFLOW_ERR => (4);
use constant SIF_DATATYPE_NONE => (0);
use constant SIF_DATATYPE_FLOAT32 => (32);
use constant SIF_DATATYPE_INT32 => (0x300+32);
use constant SIF_DATATYPE_INT16 => (0x300+16);
use constant SIF_DATATYPE_INT8 => (0x300+8);
use constant SIF_DATATYPE_UNSIGNED32 => (0x100+32);
use constant SIF_DATATYPE_UNSIGNED16 => (0x100+16);
use constant SIF_DATATYPE_UNSIGNED8 => (0x100+8);
1;
