package SoMat::eDAQ::Hardware::List;

use strict;
require SoMat::DB::Tab;
my $hwtxt = "/var/state/hw.txt";

sub get_mpb_serial_number {
    my $serial_number = "";
    # Get My Serial Number from Hardware List
    my $hw_list = SoMat::DB::Tab->new($hwtxt);
    $hw_list->read;
    my $i = 1;
    while (defined $hw_list->seek_row($i)) {
        my $row = $hw_list->get_row_hash;
        my $conn = $row->{tcename};
        if ($conn eq 'MPB') {
            $serial_number = $row->{serial};
            last;
        }
        $i++;
    }
    return $serial_number;
}

1;
