return {
'name'=>'SYS_HLSMS01_T_OBJ',
'offset'=>'0',
'size'=>'448',
'struct'=>[
{
'name'=>'id',
'offset'=>'0',
'pack'=>'Z16',
'size'=>'16'
},
{
'name'=>'type',
'offset'=>'16',
'pack'=>'Z16',
'size'=>'16'
},
{
'name'=>'units',
'offset'=>'32',
'pack'=>'Z16',
'size'=>'16'
},
{
'name'=>'desc',
'offset'=>'48',
'pack'=>'Z32',
'size'=>'32'
},
{
'name'=>'xdcrPower',
'offset'=>'80',
'pack'=>'L',
'size'=>'4'
},
{
'name'=>'rate',
'offset'=>'84',
'pack'=>'f',
'size'=>'4'
},
{
'name'=>'numFilterStages',
'offset'=>'88',
'pack'=>'L',
'size'=>'4'
},
{
'basesize'=>'20',
'count'=>'16',
'name'=>'filterStage',
'offset'=>'92',
'size'=>'320',
'type'=>{
'offset'=>'0',
'size'=>'20',
'type'=>'FILTER_STAGE_OBJ'
}
},
{
'name'=>'postDsample',
'offset'=>'412',
'pack'=>'L',
'size'=>'4'
},
{
'name'=>'rezeroMode',
'offset'=>'416',
'pack'=>'L',
'size'=>'4'
},
{
'name'=>'rezeroEU',
'offset'=>'420',
'pack'=>'f',
'size'=>'4'
},
{
'name'=>'smartModuleType',
'offset'=>'424',
'pack'=>'L',
'size'=>'4'
},
{
'name'=>'SmartModule',
'offset'=>'428',
'size'=>'20',
'type'=>'union SmartModule',
'union'=>[
{
'name'=>'bridge',
'offset'=>'0',
'size'=>'20',
'type'=>'SYS_HLS_SMART_BRIDGE_OBJ'
},
{
'name'=>'tc',
'offset'=>'0',
'size'=>'4',
'type'=>'SYS_HLS_SMART_ITC_OBJ'
}
]
}
]
}
