[
  {
    class => 'exp',
    estimated_seconds => 0,
    file => 'fw/BRG_LITE_V1_2.efd',
    match => qr/(?-xism:^(Brg|Unknown)_\d+:ELBRG\.\d{2}\-\d{4}$)/,
    version => 'v1.2'
  },
  {
    class => 'exp',
    estimated_seconds => 0,
    file => 'fw/BRG_V1_2.efd',
    match => qr/(?-xism:^(Brg|Unknown)_\d+:MSBRG\.\d{2}\-\d{4}$)/,
    version => 'v1.2'
  },
  {
    build => 2,
    class => 'vbm',
    estimated_seconds => 75,
    file => 'fw/CAN_V2_5_build_2.efd',
    match => qr/(?-xism:^VBM_\d+:EMCAN\.\d{2}\-\d{4}$)/,
    version => 'v2.5'
  },
  {
    build => 2,
    class => 'vbm',
    estimated_seconds => 0,
    file => 'fw/CAN_V2_5_build_2.efd',
    match => qr/(?-xism:^CAN_\d+:(MS|EL)COM\.\d{2}\-\d{4}$)/,
    version => 'v2.5'
  },
  {
    build => 10,
    class => 'exp',
    estimated_seconds => 155,
    file => 'fw/COM_LITE_V1_0_build_10.efd',
    match => qr/(?-xism:^(COM|Unknown)_\d+:ELCOM\.\d{2}\-\d{4}$)/,
    version => 'v1.0'
  },
  {
    build => 10,
    class => 'exp',
    estimated_seconds => 155,
    file => 'fw/COM_V1_2_build_10.efd',
    match => qr/(?-xism:^(COM|Unknown)_\d+:MSCOM\.\d{2}\-\d{4}$)/,
    version => 'v1.2'
  },
  {
    build => 5,
    class => 'exp',
    estimated_seconds => 0,
    file => 'fw/DIO_2VBC_V1_9_build_5.efd',
    match => qr/(?-xism:^(DIO|Unknown)_\d+:MSDIO\.\d{2}\-\d{4}$)/,
    version => 'v1.9-2vbc'
  },
  {
    build => 8,
    class => 'exp',
    estimated_seconds => 0,
    file => 'fw/DIO_LITE_V1_8_build_8.efd',
    match => qr/(?-xism:^(DIO|Unknown)_\d+:ELDIO\.\d{2}\-\d{4}$)/,
    version => 'v1.8'
  },
  {
    build => 5,
    class => 'exp',
    estimated_seconds => 0,
    file => 'fw/DIO_V1_9_build_5.efd',
    match => qr/(?-xism:^(DIO|Unknown)_\d+:MSDIO\.\d{2}\-\d{4}$)/,
    version => 'v1.9'
  },
  {
    class => 'exp',
    estimated_seconds => 0,
    file => 'fw/HLS_LITE_V1_1.efd',
    match => qr/(?-xism:^(HLSS|Unknown)_\d+:ELHLS\.\d{2}\-\d{4}$)/,
    version => 'v1.1'
  },
  {
    class => 'exp',
    estimated_seconds => 0,
    file => 'fw/HLS_V1_12.efd',
    match => qr/(?-xism:^(HLSS|Unknown)_\d+:MSHLS\.\d{2}\-\d{4}$)/,
    version => 'v1.12'
  },
  {
    build => 6,
    class => 'exp',
    estimated_seconds => 0,
    file => 'fw/ITB_V1_5_build_6.efd',
    match => qr/(?-xism:^(IsoTC|Unknown)_\d+:MSITB\.\d{2}\-\d{4}$)/,
    version => 'v1.5'
  },
  {
    class => 'vbm',
    estimated_seconds => 0,
    file => 'fw/J1708_V2_3.efd',
    match => qr/(?-xism:^VBM_\d+:EMLIN\.\d{2}\-\d{4}$)/,
    version => 'v2.3'
  },
  {
    class => 'exp',
    estimated_seconds => 0,
    file => 'fw/NTB_LITE_V1_0.efd',
    match => qr/(?-xism:^(StdTC|Unknown)_\d+:ELTCB\.\d{2}\-\d{4}$)/,
    version => 'v1.0'
  },
  {
    class => 'exp',
    estimated_seconds => 0,
    file => 'fw/NTB_V1_0.efd',
    match => qr/(?-xism:^(StdTC|Unknown)_\d+:MSTCB\.\d{2}\-\d{4}$)/,
    version => 'v1.0'
  },
  {
    class => 'hlb',
    estimated_seconds => 50,
    file => 'fw/VBUS_V4_2.efd',
    match => qr/(?-xism:^VBus_\d+:MSHLB\.\d{2}\-\d{4}$)/,
    version => 'v4.2'
  },
  {
    class => 'vbm',
    estimated_seconds => 0,
    file => 'fw/VPW_V2_2.efd',
    match => qr/(?-xism:^VBM_\d+:EMVPW\.\d{2}\-\d{4}$)/,
    version => 'v2.2'
  },
  {
    class => 'pwr',
    estimated_seconds => 175,
    file => 'fw/MPB_Power_Micro_FW_Update_V2_2.efd',
    match => qr/(?-xism:^Power:(ELPWR|MSMPB)\.\d{2}\-\d{4}$)/,
    version => 'v2.2'
  },
  {
    build => '302',
    class => 'mpb',
    estimated_seconds => 10,
    file => 'MPB_LP_v3_13_C_build_302.efd',
    match => qr/(?-xism:^MPB:(ELMPB|MSMPB)\.\d{2}\-\d{4}$)/,
    version => 'v3.13.C'
  }
]
